{{page-title @model.map.name}}

{{#if (or this.fastboot.isFastBoot (not @model))}}
  <LoadingContainer />
{{else}}
  <Manage::Container @title={{@model.map.name}} @breadcrumbs={{this.breadcrumbs}}>
    <:extra>
      <div>
        <LinkTo @route="manage.features.add" @query={{hash mapId=@model.map.id}} class="btn btn-add-feature me-3">
          <FaIcon @icon="plus" />
          {{capitalize (t "feature")}}
        </LinkTo>

        <LinkTo @route='sheet.map' @model={{@model.map.id}} class='btn-map-sheet btn me-3'>
          <FaIcon @icon='table' />
          {{capitalize (t 'map sheet')}}
        </LinkTo>

        <MapDownload @isButton={{true}} @map={{@model.map}} class="d-inline-block dropdown-menu-top me-3" />

        {{#if @model.map.canEdit}}
          <LinkTo @route="manage.maps.edit" @model={{@model.map.id}} class="btn btn-map-edit float-end">
            <FaIcon @icon="pencil-alt" />
            {{capitalize (t "map")}}
          </LinkTo>
        {{/if}}
      </div>
      <div class="clearfix"></div>
    </:extra>

    <:content>
      {{#if @model.mapMetrics}}
        <div class="row">
          <div class="col mb-5">
            <Manage::Dashboard::MapReports @map={{@model.map}} @value={{@model.mapMetrics}} />
          </div>
        </div>
      {{/if}}

      <div class="row">
        <div class="col">
          <div class="row row-cols-1 row-cols-sm-2 row-cols-md-3 row-cols-lg-4 g-4 mb-5">
            <Manage::SelectableList @query={{this.query}} @value={{@model.features}} @reload={{@model.reload}} as |feature selection onSelect| >
              <div class="col">
                <Manage::CardFeature @selection={{selection}} @onSelect={{onSelect}} @record={{feature}} @onDelete={{this.deleteRecord}}  />
              </div>
            </Manage::SelectableList>
          </div>
        </div>
      </div>
    </:content>
  </Manage::Container>
{{/if}}